Subject: bug#6629: closed (Re: bug#6629: 24.0.50; stack overflow in equal (immediately))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Jul 2010 08:07:02 +0000

Your bug report

#6629: 24.0.50; stack overflow in equal (immediately)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6629: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6629
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6629: 24.0.50; stack overflow in equal (immediately)
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Jul 2010 11:04:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Drew Adams" <[email-masked]>
> Date: Tue, 13 Jul 2010 23:35:42 -0700
> Cc: 
> 
> emacs -Q
>  
> Evaluate these sexps, in turn:
>  
> (setq default-frame-alist
>       '((font . "-*-Lucida Console-normal-r-*-*-14-112-96-96-c-*-iso8859-1")))
>  
> (defun foo ()
>   "..."
>   (interactive)
>   (setq pop-up-frames  t)
>   (setq minibuffer-frame-alist (append foooo minibuffer-frame-alist)))
>  
> (foo)
>  
> You get this error message - nothing more:
>  
>  Stack overflow in equal
> 
> (Note that foooo is an unbound variable.)  This bug is new with this binary.
> The windows binary posted on 6/28 has no such problem.

I can see this problem in yesterday's build, but it's gone in today's
build.  With today's binary, I get a new frame popping up with the
debugger saying that foooo is unbound, as expected.

I think Handa-san's change from this morning (reverting his prior
change from 2 days ago) may have fixed this.

So I'm closing this bug.  If it comes back in the next binary you
have, please reopen.

Subject: 24.0.50; stack overflow in equal (immediately)
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Tue, 13 Jul 2010 23:35:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
 
Evaluate these sexps, in turn:
 
(setq default-frame-alist
      '((font . "-*-Lucida Console-normal-r-*-*-14-112-96-96-c-*-iso8859-1")))
 
(defun foo ()
  "..."
  (interactive)
  (setq pop-up-frames  t)
  (setq minibuffer-frame-alist (append foooo minibuffer-frame-alist)))
 
(foo)
 
You get this error message - nothing more:
 
 Stack overflow in equal

(Note that foooo is an unbound variable.)  This bug is new with this binary.
The windows binary posted on 6/28 has no such problem.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-12 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'
 
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t
 
Major mode: Dired by name
 
Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
 
Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>
 
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
 
Load-path shadows:
c:/Emacs-24-2010-07-12/lisp/compare-w hides
c:/Emacs-24-2010-07-12/lisp/vc/compare-w
 
Features:
(shadow sort gnus-util mail-extr message rfc822 mml easymenu mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
emacsbug dired regexp-opt tooltip ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)